/**
 *
 * @package OERSI
 * @license: MIT
 *
 * @author Edmond Kacaj <Edmond.Kacaj@tib.eu>
 *
 * Copyright (c) 2022 TIB <https://www.tib.eu/en>
 */

import React from 'react';

/**
 *
 * @returns  {ReactElement} - React element containing the icon
 */
const JsonLinkedDataIcon = () => {
	return (
		<SvgIcon viewBox='0 0 512 512'>
			<path d='M153.4082947,411.3495178v27.9322205h-12.405899c-32.2042923,0-53.7921982-4.7789001-64.7844162-14.3574524c-10.8542938-9.5612793-16.2952347-28.6321716-16.2952347-57.212616V321.363678c0-19.5294495-3.4893761-33.0386963-10.4646683-40.5415649c-6.8580704-7.4993591-19.3294773-11.2438965-37.4314613-11.2438965H0v-27.732254h12.0266142c18.2226639,0,30.7630348-3.6928101,37.6176491-11.0577087c6.8580666-7.3683777,10.2784805-20.756958,10.2784805-40.151947v-46.5479431c0-28.5666656,5.4409409-47.5858459,16.2952347-57.0126495c10.992218-9.575119,32.5801239-14.3574677,64.7844162-14.3574677h12.405899v27.7322464h-13.5782166c-18.1019821,0-29.9251709,2.8411636-35.4867859,8.5372314c-5.4305954,5.5650635-8.151062,17.522728-8.151062,35.8833084v48.0961304c0,20.2983704-2.9756317,35.0454559-8.9165268,44.2171173c-5.8167725,9.1854706-15.836647,15.3953247-30.0596352,18.6260834c14.3436699,3.4893799,24.4290581,9.8198853,30.249279,19.0053711c5.8167725,9.1716614,8.7268829,23.853241,8.7268829,44.0309143v48.0961304c0,18.4916077,2.7204666,30.5078735,8.151062,36.0694885c5.561615,5.561615,17.3848038,8.3372498,35.4867859,8.3372498H153.4082947z M358.5917053,439.2817383h12.0266113c32.1905212,0,53.7129211-4.7789001,64.5844727-14.3574524c10.8542786-9.5612793,16.2814331-28.6321716,16.2814331-57.212616V321.363678c0-19.5294495,3.4342041-33.0386963,10.2922668-40.5415649c6.9752808-7.4993591,19.5811768-11.2438965,37.8176575-11.2438965H512v-27.732254h-12.4058533c-18.2364807,0-30.8423767-3.6928101-37.8176575-11.0577087c-6.8580627-7.3683777-10.2922668-20.756958-10.2922668-40.151947v-46.5479431c0-28.5666656-5.4271545-47.5858459-16.2814331-57.0126495c-10.8715515-9.575119-32.3939514-14.3574677-64.5844727-14.3574677h-12.0266113v27.7322464h13.1851501c18.2364502,0,30.1286011,2.8411636,35.6936646,8.5372314c5.547821,5.6857529,8.3372803,17.646843,8.3372803,35.8833084v48.0961304c0,20.2983704,2.9066467,35.0454559,8.7268372,44.2171173c5.937439,9.1854706,16.0263367,15.3953247,30.2493286,18.6260834c-14.343689,3.4893799-24.4325256,9.8198853-30.2493286,19.0053711c-5.8201904,9.1716614-8.7268372,23.853241-8.7268372,44.0309143v48.0961304c0,18.2226562-2.7894592,30.1837463-8.3372803,35.8798523c-5.5650635,5.68573-17.4572144,8.526886-35.6936646,8.526886h-13.1851501V439.2817383z M366.2014465,369.2598267c-13.2954712,25.0359192-44.3791809,34.5454712-69.4047546,21.2396851c-17.9399109-9.5233765-27.8529053-28.177063-27.166748-47.1824341c-0.4999695-5.1306152-4.3513794-18.7605286-30.2768707-32.6732178c-32.8525085-17.6434021-44.2447052-8.271759-44.2447052-8.271759l0.3344574-0.6447449c-15.5021973,12.4299927-37.5107574,15.191864-56.1782074,5.2788696c-25.0221329-13.3058167-34.5317078-44.3791809-21.2396774-69.4185181c13.2954788-25.0359192,44.3791733-34.5455017,69.418541-21.2396851c0.9447479,0.4861755,1.8067474,1.051651,2.6928711,1.6033173l-0.8999329-1.3205719c0,0,14.1264496,9.6854248,45.4273834-9.76474c31.3147125-19.4363556,28.2977142-32.797348,28.2977142-32.797348l0.5792542,0.9033966c-1.723999-10.6681366-0.1585999-21.9534149,5.306488-32.2319031c13.2954407-25.0496979,44.3688049-34.5454712,69.4047241-21.2534561c25.0255737,13.3092728,34.5489197,44.3929672,21.243103,69.418541c-5.1064758,9.6164703-12.8369141,16.9158783-21.8361511,21.5223999l1.713623-0.065506c0,0-11.9093628,6.2753448-10.9094238,43.0861511c0.9964294,36.7970581,12.4437866,41.8621521,12.4437866,41.8621521l-1.2791748,0.1069031c1.7894897,0.6999207,3.582428,1.492981,5.3340149,2.4239197C369.9976807,313.1333313,379.5072632,344.220459,366.2014465,369.2598267z M283.6908875,137.826767c-14.9367371,16.3366394-15.2470703,40.3795319-0.8619995,53.9680634c-7.1098022-6.8408356-6.9477234-21.1051788,0.2309875-34.7489014c0.9275208-1.2137146,3.6066284-4.1100159,7.5270081-2.7894592c0.3896179,0.134491,0.6481934,0.1620483,0.7964478,0.1482697c0.8861694,0.1896667,1.7895508,0.296524,2.7342834,0.2551727c5.937439-0.2689514,10.5439758-5.2926941,10.2750244-11.243927c-0.120697-2.6687622-1.2240295-5.0237427-2.9376831-6.8442841c13.7919922-9.0372009,29.6320801-10.0750351,36.1246643-4.1479492l0.2413635,0.0137939C323.0049438,118.914505,298.7758789,121.3246689,283.6908875,137.826767z M187.6710358,229.0746002l-0.2413483-0.0241547c-6.4925842-5.9271088-22.3292389-4.875473-36.1212311,4.1479492c1.7102203,1.8170929,2.8135681,4.1755219,2.9342499,6.8408356c0.2689362,5.9546814-4.3237915,10.9784088-10.2750244,11.2473755c-0.9309692,0.0413513-1.8446808-0.068985-2.7342682-0.2551727c-0.1482544,0.0138092-0.4034119-0.0137939-0.7964935-0.1482697c-3.9169159-1.3205566-6.5994568,1.5619507-7.5269775,2.7859802c-7.1925125,13.6437225-7.3407745,27.9080963-0.2310181,34.7489166c-14.3850327-13.588562-14.0747147-37.6176453,0.8619995-53.9680481C148.6121368,217.9513397,172.8446503,215.5411987,187.6710358,229.0746002z M346.6030273,310.8852234l-0.2413635-0.0275574c-6.4925842-5.927124-22.3188782-4.8754883-36.1108704,4.1479187c1.7102051,1.8205261,2.8170166,4.1755066,2.9377136,6.8442688c0.2689209,5.9374695-4.337616,10.9749756-10.2785034,11.2577209c-0.9274902,0.0275879-1.844696-0.0793152-2.7342529-0.2689514c-0.1482544,0.0275879-0.4034424-0.0137939-0.7930603-0.1482849c-3.9203796-1.3067627-6.5994568,1.5757446-7.530426,2.8032532c-7.1787109,13.6299438-7.3407593,27.8942871-0.2275696,34.7489319c-14.3850403-13.602356-14.074707-37.6452637,0.8619995-53.9818726C307.5578918,299.7585449,331.8007812,297.3483887,346.6030273,310.8852234z M299.5723267,298.5344849c4.3617249-3.7169189,12.3748779-14.2229919,11.62323-41.4828491c-0.7275391-27.0598755-7.7304077-37.3487091-11.5439148-40.9863434c-3.2445679-0.9550934-6.4649963-2.2480927-9.5750732-3.9065704c-1.6309204-0.8758087-3.1928711-1.8309021-4.703064-2.8411713c-2.3411865-0.9033661-14.9229431-4.3237762-42.6000214,12.8610535c-30.9250946,19.1950073-28.7149048,30.9940338-28.7149048,30.9940338l-0.1758575-0.2551422c0.7551117,4.2961884,1.0102539,8.699295,0.620636,13.1161957c0.5930481,3.6376038,4.6065216,15.7607727,31.6250153,30.26651c24.9566193,13.3851318,36.8073883,11.7576599,40.958786,10.2888184C290.8558044,303.2892761,295.0726929,300.5688171,299.5723267,298.5344849z' />
		</SvgIcon>
	);
};

export default JsonLinkedDataIcon;
